Tool
users_config_get
Read this product's end-user auth configuration (signup mode, password policy, session lifetime).
Read this product's end-user auth configuration (signup mode, password policy, session lifetime). Returns the defaults when nothing has been configured yet.
Behavior
- HTTP
GET /users/config
Arguments
No arguments.
Response
Field | Type | Always | Description |
|---|---|---|---|
mfa | object | • | |
email | object | • | |
oauth | object | • | |
invite | object | • | |
status | string | • | |
captcha | object | • | |
passkeys | object | • | |
recovery | object | • | |
testMode | object | • | |
waitlist | object | • | |
productId | string | • | |
retention | object | • | |
protection | object | • | |
signupMode | string | • | |
emailChange | object | • | |
notifications | object | • | |
allowedOrigins | array | • | |
passwordPolicy | object | • | |
sessionTtlHours | integer | • | |
lifecycleBlocked | boolean | • | |
lifecycleArchived | boolean | • | |
refreshSlidingDays | integer | • | |
refreshAbsoluteDays | integer | • | |
redirectUriAllowlist | array | • | |
accessTokenTtlMinutes | integer | • | |
captchaSecretConfigured | boolean | • |
Try it
Read this product's end-user auth configuration (signup mode, password policy, session lifetime).